> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-igluestate.md).

# flatredball-glue-exportedinterfaces-igluestate

### Introduction

The IGlueState interface provides a centralized way to get information about the current state of Glue. IGlueState is very similar to [IGlueCommands](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) in that an instance of IGlueState can be provided to your plugin automatically through the plugin system (see below for more details).

### Using IGlueState

Any plugin can get access to an instance of IGlueState . To do so, add the following to your plugin class:

```
       [Import("GlueState")]
       public IGlueState GlueState 
       {
           get;
           set;
       }
```

That's all you have to do. The plugin system that Glue uses will automatically assign an instance to this interface. That means that your class can immediately start using the GlueState instance in its code with no additional hookup.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-exportedinterfaces-igluestate.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
